<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: BVHFlatNode Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct_b_v_h_flat_node.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_b_v_h_flat_node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BVHFlatNode Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Node descriptor for the flattened tree.  
 <a href="struct_b_v_h_flat_node.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_b_v_h_8h_source.html">BVH.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2eb8bc5ce9872472c56fbee34a921a87"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_box.html">Box</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_b_v_h_flat_node.html#a2eb8bc5ce9872472c56fbee34a921a87">bbox</a></td></tr>
<tr class="separator:a2eb8bc5ce9872472c56fbee34a921a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e6ec522dfaf5ac6ed6263877c0358"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_b_v_h_flat_node.html#a574e6ec522dfaf5ac6ed6263877c0358">start</a></td></tr>
<tr class="separator:a574e6ec522dfaf5ac6ed6263877c0358"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a353b7a623510bace3e8e9e99acc1f382"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_b_v_h_flat_node.html#a353b7a623510bace3e8e9e99acc1f382">nPrims</a></td></tr>
<tr class="separator:a353b7a623510bace3e8e9e99acc1f382"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4a21e37575d580a8f78e7e2aff1698"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_b_v_h_flat_node.html#afb4a21e37575d580a8f78e7e2aff1698">rightOffset</a></td></tr>
<tr class="separator:afb4a21e37575d580a8f78e7e2aff1698"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Node descriptor for the flattened tree. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a2eb8bc5ce9872472c56fbee34a921a87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb8bc5ce9872472c56fbee34a921a87">&sect;&nbsp;</a></span>bbox</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_box.html">Box</a> BVHFlatNode::bbox</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a353b7a623510bace3e8e9e99acc1f382"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a353b7a623510bace3e8e9e99acc1f382">&sect;&nbsp;</a></span>nPrims</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t BVHFlatNode::nPrims</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afb4a21e37575d580a8f78e7e2aff1698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb4a21e37575d580a8f78e7e2aff1698">&sect;&nbsp;</a></span>rightOffset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t BVHFlatNode::rightOffset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a574e6ec522dfaf5ac6ed6263877c0358"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a574e6ec522dfaf5ac6ed6263877c0358">&sect;&nbsp;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t BVHFlatNode::start</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="_b_v_h_8h_source.html">BVH.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_b_v_h_flat_node.html">BVHFlatNode</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
